Skip to content
Livstick Developers

Get recording and preview links

Method GET https://client-api.v5.livstick.com/api/v3/containers/{crid}/url

Return canonical links for a known container.

Authorization

Required scope containers:read

Use Authorization: Bearer liv_<prefix>_<secret>.

Parameters

Name In Type Required Constraints Description
crid Path string Required Business reference of the container.

Responses

200 application/json Schema ContainerLinks

Links resolved.

401 application/json Schema ApiErrorEnvelope

Authentication failed or missing bearer token.

json 401
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Missing API key"
  }
}

403 application/json Schema ApiErrorEnvelope

Authenticated but not allowed by scope or key constraints.

json 403
{
  "error": {
    "code": "FORBIDDEN",
    "message": "Insufficient permissions"
  }
}

404 application/json Schema ApiErrorEnvelope

Target container could not be found.

json 404
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Container not found for this CRID"
  }
}